Support Options

 Top Next

TeraByte Unlimited offers several support options on the web. To access these resources, visit the following links:

Main Support Page: http://www.terabyteunlimited.com/support-image-for-windows.htm

Videos and Tutorials: http://www.terabyteunlimited.com/howto/

Knowledge Base: http://www.terabyteunlimited.com/kb/

Newsgroups: http://www.terabyteunlimited.com/webnews.htm

If you prefer to use a newsreader then visit the main support page link to get details on the proper settings.

If you don't find what you need, please e-mail TeraByte at support@terabyteunlimited.com and we will be happy to assist you.


Videos and Tutorials

 Top Previous Next

For step-by-step guidance and educational tips on using the TeraByte Unlimited products, view the how-to guides and videos at http://www.terabyteunlimited.com/howto/

For more support options visit http://www.terabyteunlimited.com/support-image-for-windows.htm


Program Settings

Image for Windows - Settings

Settings

Use New Windows MBR

This option determines which code based is used with the restore option "Write Standard MBR Code" or otherwise when Image for Windows needs to write a standard MBR. This option only exists because certain systems will not be able to boot Windows Vista or later using the normal MBR code base. The new Windows code base can be used to boot other operating system most of the time.

Retain Failed Backups

Normally backups that are canceled or fail validation are deleted. Enable this option to prevent those backups from being deleted.

Accessible Check Boxes

Changes the checklist boxes to be compatible with screen readers.

Automatic Scaling Restrictions

Disables scaling of partitions that are the lesser of 1/8 the drive size or 15GiB when Scale to Fit or Scale to Target are used. This option is overridden if the /NOS command line option is used with a non-zero value.

Automatic Boot Partition Update

Causes the Update Boot Partition to be automatically enabled when restoring or copying an entire drive.

Automatic Restore Drive Search

Normally, when using the Restore (Automatic) selection or a command line restore without the /d parameter, the drive is selected automatically using the ordinal drive number of the drive backed up. This option changes that logic to first search for a matching by using the disk signatures before falling back to use the ordinal drive number.

Use Volume Label

Instructs Image for DOS to display volume labels, if possible, rather than the string found in the partition table of the EMBR.

Sequential Volume IDs

Changes the ID used for volumes to be numbered sequentially within the extended partition instead of using the normal ID (which can appear random).

Disable Cancel

Enable this option to prevent use of the cancel button during the backup, restore, or validate process.

Disable Power Changes

This option prevents a user from being able to change the power options available while an operation is in progress.

Disable Priority Changes

This option prevents a user from being able to change the priority options available while an operation is in progress.

No Service Control

Enable this option to ignore the service.ins file.

Show Entire Network

Determines if the Entire Network option is shown on the file location dialog. When this option is enabled, Image for Windows will search for network resource prior to displaying the file location dialog that includes the Entire Network option. Disable this option if you find that the search takes too long. You can use a network UNC or the Windows/Network Browse button even when this option is disabled.

Partition Selection

No Check Boxes - Allow selection of the full drive or single partition without using check boxes.

Individual Check Boxes - Each drive and partition has its own check box for selection.

Linked Check Boxes - Each drive and partition has its own check box, but the selections are linked and the program only selects volumes when an extended partition is selected. (This is the default).

CD Boot Image

Image for DOS - Uses the cdboot.ifd instruction file to create the bootable image used on directly burned CD/DVD/BD discs.

Image for Linux - Uses the cdboot.ifl instruction file to create the bootable image used on directly burned CD/DVD/BD discs.

Note: For this option to be available you must have already download and run the "Image for Windows - Linux CD Boot Files" from https://www.terabyteunlimited.com/product-download.php.

Custom (CDBOOT.INS) - Uses the cdboot.ins instruction file to create the bootable image used on directly burned CD/DVD/BD discs.

Log file

Use this to set the log file path and name created by Image for Windows. If left blank then ifw.log is used.

Max

The max size the log file can be (e.g. 32K). The new size limit is applied the next time the log file is written to or on exit of the program. Set to zero for no limit.

Email

The email option causes the program to email the results of an operation. The format of the string to use is as follows:

smtp_host*from_email*to_email*subject*port*user*password

The subject, port, user, and password options are optional. See the /email option in the manual for full details.

Note: If SSL is required, please see the KB article http://www.terabyteunlimited.com/kb/article.php?id=568 for details.

Use VSS When Available

Image for Windows attempts to use Microsoft Volume Shadow Copy Service. If PHYLock usage is not disabled and VSS is unable to start, PHYLock will be used. Note that byte-for-byte failures can occur (when Validate Byte-for-Byte backup option is enabled) if some component of VSS doesn't protect all the files on the volume (which is common on the main OS partition using NTFS).

PHYLock Settings

PHYLock™ is an optional software component for Win NT/2K/XP/2003 that enables Image for Windows to maintain a consistent backup of an unlocked partition or volume. It should be noted that the consistency is based on a point in time. Although there is an attempt to pick a "clean" point in time, there is no guarantee that all programs, internal caches, and other processes are in a clean state. This is true of ALL backup software that is backing up a volume that is in use.

If none of the usage options below are enabled, PHYLock will be used if it's installed without trying to obtain a lock.

Disable Usage

If you don't want to use PHYLock, enable this option.

Use If Locking Fails

Attempt a normal lock and only use PHYLock if a normal lock cannot be obtained.

Use and Release Lock

Attempt a normal lock then use PHYLock whether or not the lock was obtained. If a normal lock was obtained, it is unlocked after PHYLock is enabled.

Volume Flush

Attempts forcing an additional flush on the volume.

Use Disk Storage

This setting causes PHYLock V2 to use hard disk storage in addition to memory, up to the limit specified in the Disk Cache Size setting. This is the recommended option.

Throttle On Reads

Causes IO throttling when there are outstanding reads for the disk. See IO Throttling Below.

Throttle On Writes

Causes IO throttling when there are outstanding writes for the disk. See IO Throttling Below.

Write Free Time (ms)

This is the amount of time in milliseconds that there can be no updating of the volume before PHYLock is enabled. You should try to keep the value above 1250. The default is 4250.

Max Wait Time (M):

This is the maximum number of minutes to wait for the Write Free Time to occur before forcing the backup to start. If it's set to zero then it waits forever. Only supported by PHYLock V2.04 or later.

RAM Cache Size (KiB):

This is the size of the internal cache, in kilobytes, used by PHYLock to maintain the data consistency. The default is 8192 (8192 KB / 1024 = 8 MB).

You should not use a value below 2048 for this setting, even if you have the Use Disk Storage setting enabled. When using Disk Storage this cache is used for the short period of time needed to activate the disk cache.

When backing up NTFS partitions with the Use Disk Storage option disabled, the value of the Cache Size (KB) setting will need to be weighed against the size of the NTFS log. You should keep the value of this setting above the size of the NTFS log, whether by increasing this value, reducing the size of the NTFS log, or both.

You can check the size of the NTFS log file using the command line "CHKDSK <drive letter>: /L". (The same command line will show you what the default NTFS log size is for the volume in question.) You can change the size of the NTFS log using "CHKDSK <drive letter>: /L:<log file size (KB)>".

Setting the NTFS log too small can result in performance degradation or a failure to boot. Do not set the size of the NTFS log to a value lower than 4096 KB.

Disk Cache Size (MiB)

This setting determines how much hard disk space is allocated for use by PHYLock V2 when the Use Disk Storage setting is enabled. Adjust this to a larger size when the backup results in an error indicating that it was unable to cache all changes.

Memory

This setting controls how much memory PHYLock V2 will allocate to its internal buffers used for tracking data. The farther to the right you move the slider the more memory PHYLock will use. The farthest right setting uses enough memory for worse case scenarios, one position back is 1/2 worse case, two back is 1/4 worse case and farthest left is 1/8 worse case. You only need to adjust this if you receive an error that says PHYLock out of memory or cache space or PHYLock failed to cache changes and you've already substantially increased the size of the RAM or Disk cache and it didn't solve the error.

IO Throttling

Due to fast compression and the design of low level storage drivers, you may experience slow response times using applications during backup operations. This slowness is actually caused by IO being delayed on slower traditional spinning hard drives and not CPU utilization. IO throttling was introduced to alleviate this condition at the cost of potentially slowing down the backup operation. IO throttling is currently only used when PHYLock is active.

Note: The default timer in Windows has a resolution of 10ms. This means options like 5ms, 12ms, etc.. really mean something more like 10ms or 20ms.

IO Throttle Delay (ms) (Default: 0, Max: 20)

This value controls the amount of time the application delays after allowing pending IO to occur. This value should be kept low otherwise the program could be doing nothing if the IO completes before this delay expires. The only time you may want to extend it is if you expect multiple IO requests to occur that you want the application to wait for to prevent potential thrashing.

IO Throttle Abort (ms) (Default: 80, Max: 500)

The abort value is the maximum amount of time to wait for other IO to complete before continuing, even if more IO is pending. This value will be adjusted to be a multiple (rounded up) of the Delay value above. If set to zero then throttling is disabled.

IO Throttle Interval (ms) (Default: 100)

This controls how often the throttle may engage. Lower values throttle more often for better response time of other applications, but at the cost of slowing down the backup. Larger values throttle less often for a faster backup, but at the cost of potentially slowing down other applications. Setting this value to zero disables IO Throttling.

Global Geometry Settings

The Global Geometry Settings are used to control the geometry options for the target drive of copy and restore operations. These global options offer a convenient way to control how the program sets up the target drive. They only apply to interactive sessions. Command line restores always require specific options on the command line.

Disabled

Check this box to disable the global geometry settings and revert to using program defaults or drive specific overrides equivalent to versions prior to 2.52.

Align MBR for BIOS Auto Mode

This option is enabled by default to prevent problems with unaligned partitions on systems with their BIOS using Auto Mode. Many newer systems use auto mode by default, and some even don't have an option to turn it off. This is equivalent to enabling the individual overrides Align MBR Ending HS and Align MBR HS when Truncated.

Assume Same Target System

This option is used to prevent problems where users restore an image from another system to a drive that will be put back in the other system. For example, the hard drive from PC-A is backed up; PC-B is used to restore to a new hard; that new drive is placed back in PC-A. Without this option enabled, Image for Windows would setup the partition to properly boot on the hard drive for PC-B which can sometimes (not always) be a problem when the hard drive is going back to PC-A. This option solves that and is equivalent to the individual Use MBR Geometry override.

Use Source Host Geometry

This option is the global equivalent to the individual Use Original Geometry override.

Align Partitions on 2048 Sectors

This option provides a convent way to enable 2048 sector alignment for all drives. This is popular with users of SSD type drives. It is the equivalent to enabling the individual overrides Use 2048 Sector Alignment, Align MBR Ending HS, Align MBR HS when Truncated, and disabling Align on End.

Validate Geometry Before Use

This option is enabled by default and used to ensure that the geometry from the MBR on the original system is aligned to known standards before accepting it for use. It only applies when Assume Same Target System is enabled.


Operation

Backup (Full)

Select this option to create a full backup of a partition, multiple partitions, or an entire drive.

For details on full backups, see the user manual.

Backup (Changes Only)

Select this option to create a differential or incremental backup.

When you create a differential/incremental backup, Image for Windows compares the data on the source partition or hard drive against a prior backup to determine what changes have occurred on the source partition or hard drive since you created the that backup. A differential/incremental backup contains only the changed sectors. For details on differential and incremental backups, see the user manual.

Restore (Automatic)

Select this option to restore a backup and attempt to choose the target location and options automatically. When the target cannot be automatically determined or you don't accept what is selected, Image for Windows will revert to normal mode and ask you to select the target location.

Restore (Normal)

Select this option to restore a backup and manually determine the target location and options.

Restore Note: Image for Windows must be able to obtain a normal lock on the target partition; PHYLock is not used when restoring. Therefore, to restore the operating system itself, you would need to use the Image for DOS or Image for Linux recovery boot disk, or Image for Windows from an alternate location.

Validate

Select this option to validate a backup.

When you validate a backup, Image for Windows performs internal consistency checks on the backup file(s), helping to ensure that the backup will be reliable if you need to restore from it.

Copy

Use this option to copy (clone) a partition, partitions or an entire drive to another drive. In the case of a single partition, you can also choose a location on the same drive.


Select where the existing backup file is located.

This screen is shown when you creating a changes-only backup. It shows the various locations from which you can select the the existing backup file to base the changes-only backup on.

To select a normal file accessible to windows, choose the The Windows Drives selection option.

To select a CD/DVD, choose a specific CD/DVD drive.

To select a file within a partition that is not accessible to Windows, select a partition under one of the listed hard drives.


Select the existing backup file to use

Enter the full path to the existing backup file on this screen then click next.

To select a target drive, change the drive in the drop down box in the upper right.

To navigate through the files, double click the various folders listed to open that folder. To move back to the parent folder, double click the special ".." folder at the top of the list.

Buttons Available

Windows/Network Browse - Use this button for the normal Windows file selection dialog.

File Description - Highlight an existing backup image file and click this button to view the description used when the backup was created.


Select the hard drive or partitions to backup

This screen shows the hard drives and partitions on the computer. Select the partition or drive you want to backup then click next.

Buttons Available

Add Virtual Drive - Allows you to add a virtual drive (VHD/VMDK) to the tree. To remove a virtual drive from the tree, highlight the drive and press the delete key on the keyboard..

Information - Provides information on the selected partition, including the amount of used space, free space, size needed to restore if it was backed up in this state, lba start and end locations on the disk. You should use this before backing up the first time to ensure IFW is seeing the partition properly.

Compact - Moves data within the partition below a given boundary to reduce the required target size (which is reported via the Information button as the required restore size).

When restoring to a smaller area, it's the location of the data within the backed up partition that determines if it will fit the target or not. All restores create an actual image of the backed up partition where the data is in the same relative location within the restored partition. In order to fit a smaller target area, a resize is preformed *after* the data is restored. This process is different than formatting a new partition and restoring files.


Select where you want to save the backup

This screen list the various locations you can save your backup. Select the target location for the backup file and click next.

To save to a normal file accessible to windows, choose the The Windows Drives selection option.

To save directly to a CD/DVD, choose a specific CD/DVD drive.

To save to a partition that is not accessible to Windows, select a partition under one of the listed hard drives.

Buttons Available

Add Virtual Drive - Allows you to add a virtual drive (VHD/VMDK) to the tree. To remove a virtual drive from the tree, highlight the drive and press the delete key on the keyboard..


Enter a filename for the backup

Enter the full path name of the backup file to create on this screen then click next.

To select a target drive, change the drive in the drop down box in the upper right.

To navigate through the files to find a target location, double click the various folders listed to open that folder. To move back to the parent folder, double click the special ".." folder at the top of the list.

Buttons Available

Windows/Network Browse - Use this button for the normal Windows file selection dialog.

File Description - Highlight an existing backup image file and click this button to view the description used when the backup was created.


Backup Options

Validate – If you select this option, Image for Windows will perform internal consistency checks on the backup file(s) after creating them. Enabling this option increases the overall processing time, but can help ensure that the backup is reliable.

Validate Byte-for-Byte – If you select this option, Image for Windows will verify that every byte in the source data was backed up correctly, ensuring 100% accuracy. This option generally doubles the processing time of the overall backup operation, but is advisable to use where maximum reliability is required. You can but do not need to select the Validate option if you select the Validate Byte-for-Byte option.

Encrypt Data – If you select this option, Image for Windows will encrypt the backup file(s) with 256-bit AES encryption prior to saving them to the target medium. If you select the Encrypt Data option, you must also supply a password in the Password text boxes. Enter the password in the first Password text box and retype it in the second Password text box for verification.

Note: If you create a backup with the Encrypt Data option, you will be required to supply the password whenever you wish to validate the backup, restore it, or open it in TBIView. If you lose and/or forget the password, you won't be able to open or restore from the backup. TeraByte Unlimited has no way of recovering data from an encrypted backup with an unknown password.

If you do not enable the Encrypt Data setting, Image for DOS will use the Password text boxes to password-protect the image file without any encryption.

Backup Unused Sectors – By default, if the file system(s) you are backing up are one of the recognized types (i.e. FAT, FAT32, NTFS, Ext2/3, ReiserFS, or XFS), Image for Windows will backup only used sectors. If you select this option, Image for Windows will include all used and unused sectors in the backup. This option has no effect on partitions that do not contain a recognized file system; such partitions will always be backed up in full, regardless of this setting. Note that this option is not available on full drive changes only backups as it must use whatever setting was used originally.

Omit Page File Data – If you select this option and the PAGEFILE.SYS file resides in the root directory of the source partition, Image for Windows will not back up PAGEFILE.SYS. If PAGEFILE.SYS resides anywhere else on the source partition other than the root directory, Image for Windows will back it up, regardless of this setting. If you're backing up the partition with an active page file then you need to leave this option enabled.

Omit Hibernation Data – If you select option and the HIBERFIL.SYS file resides in the root directory of the source partition, Image for Windows will not back up HIBERFIL.SYS. If HIBERFIL.SYS resides anywhere else on the source partition other than the root directory, Image for Windows will back it up, regardless of this setting.

Ignore IO Errors – This option only affects how Image for Windows handles bad sectors on the source drive, and it applies to both the backup phase and the validation phase of the backup operation. Normally, if Image for Windows encounters a bad sector on a source partition during a backup operation, it will notify you concerning the read error and give you the option to continue or abort. If you select this option, Image for Windows will ignore the error and continue. Generally, you should select this option only if you need to backup a source partition on a drive you know contains bad sectors. On some systems, if you select this setting and Image for Windows encounters bad sectors, there will be a significant delay as the internal retry/recovery routine of the drive attempts to handle the bad sector(s).

Disable Media Ejection – This option prevents Image for Windows from automatically opening the optical drive tray. If you don't select this option, Image for Windows will open the drive tray whenever a disc is needed and at the completion of the backup operation. Note: When Image for Windows first accesses the optical drive it will open the tray regardless of this setting but will automatically close it if this option is enabled.

Log Results to File – Select this option to make Image for Windows log the date and time it completes the backup operation. Image for Windows saves the log as IFW.LOG in the IMAGEW.EXE program directory or the location set using the global LogFile option. To be able to save IFW.LOG, Image for Windows must have permissions to write to the target folder.

Reboot when Completed - Enable this option to have Image for Windows request a reboot when the backup has completed successfully.

Shutdown when Completed - Select this option to have Image for Windows request a shutdown when the backup has completed successfully.

Suspend when Completed - Select this option to have Image for Windows request a suspend when the backup has completed successfully.

Hibernate when Completed - Select this option to have Image for Windows request hibernation when the backup has completed successfully.

Disable TRIM - Use this option to disable SSD TRIM requests while the backup is active. W7 and later support sending TRIM requests to Solid State Drives (SSD) which is simply a way to tell the drive which sectors it can assume to be zero (which speeds up writing to the drive when a physical sector would otherwise require being read, modified, then written (RMW) as the read isn't needed) . For example, these requests would come from the file system driver for file systems under the control of OS when files are moved or deleted. PHYLock 8 and later also support protecting the areas of TRIM requests to ensure the state of the file system remains locked during the backup. TRIM requests can be large and cause the cache to fill up before the backup is complete. By disabling TRIM, there is less overhead during the backup, after the backup operation has completed, TRIM is enabled again.

Backwards Compatible - Enable this option to create image files that are compatible with versions 2.00 through 2.29.

Speed up Changes Only Backup – Select this option to have Image for Windows create a hash file to speed up creating a Changes Only backup. This option is only available when creating a backup that is not being saved to CD/DVD/BD. This option is also ignored if the Backwards Compatible option is enabled. The hash file will be limited to the max file size and have the same file name as the backup with an extension starting at .#0 followed by .#1, .#2, etc.. as needed. The actual speed increase realized when creating a changes only backup will vary depending on the system. If the hash file is deleted a changes only backup will proceed as normal without it. To create a hash for an existing backup image use the /hash operation command line parameter. For example, /hash /f:fullbackup.tbi

Compression – Select Standard or any of the Enhanced options to compress the backup files that Image for Windows creates. If you select the Standard or Enhanced Size options, Image for Windows produces smaller image files than the Enhanced Speed options but it takes longer to back up. If you select None, Image for Windows creates your backup more quickly but produces larger image file(s). The attainable compression ratio depends on a number of factors, including the number, size, and content of the files on the source partition and the level of file fragmentation on the source partition. Typically, Image for Windows compresses backup files 40% - 60%. However, if the source partition primarily contains files that do not compress well, such as media files like MP3, JPG, and AVI, or archive files like 7Z, RAR, and ZIP, the compression ratio will be much lower. The enhanced size compression options will typically compress more than the standard option. It's not recommended that the C or F enhanced size option be used because it will substantially increased the backup time, but only provide a small compression improvement over the other options.

File Size – Select this option to choose the maximum size of the image files created by Image for Windows. The available options are:

* Max – Automatically creates the largest file(s) allowed by the file system in use on the target medium. For example, the largest files that may reside on FAT, FAT32, and NTFS partitions are 2 GiB, 4 GiB, and (just under) 16 TiB, respectively.

* 4 GiB – Useful for FAT32 compatibility.

* 2 GiB – Useful for FAT compatibility.

* 698 MiB – Useful if the image file(s) will later be burned to 700-MiB CD disc(s).

* 648 MiB – Useful if the image file(s) will later be burned to 650-MiB CD disc(s).

Tip: Saving to a 2GiB file on a FAT32 file system under Windows will result in a faster backup than a 4GiB file.

Description – You can use this text box to assign descriptive text to individual backups. The description you enter will be visible in the file list that appears when you are preparing to restore or validate a backup. You view the description by selecting the backup and clicking the File Description button.

Additional DVD/CD Options:

Validate Disc - Validate each disc after they are written to ensure it's readable. If not, the individual disc can be written again without having to restart the entire backup.

Limit Usage - This option instructs Image for Windows to leave the last 10% of each disc unused to help prevent data errors that are more common near the edges of discs.

Additional Buttons:

Save Defaults - Saves the current options so that they are automatically selected the next time you run the program.

Show Command - Shows the command line parameters based the options you selected and gives you the option to save them to a batch file. Note that the image password is not shown or saved by design.

Schedule Backup - Add the backup operation to the Windows Task Scheduler. Note that the image password is not automatically added to the task scheduler. To edit or delete scheduled tasks you will need to open the Windows Task Scheduler which can be done via the "Scheduled Tasks" option within the Windows Control Panel.


Select where the backup file is located

This screen shows the various locations from which you can select the backup file to restore. Select the source location of the backup file and click next.

To select a normal file accessible to windows, choose the The Windows Drives selection option.

To select a CD/DVD, choose a specific CD/DVD drive.

To select a file within a partition that is not accessible to Windows, select a partition under one of the listed hard drives.


Select the backup file to restore

Enter the full path to the backup file on this screen then click next.

To select a target drive, change the drive in the drop down box in the upper right.

To navigate through the files to find a target location, double click the various folders listed to open that folder. To move back to the parent folder, double click the special ".." folder at the top of the list.

Buttons Available

Windows/Network Browse - Use this button for the normal Windows file selection dialog.

File Description - Highlight an existing backup image file and click this button to view the description used when the backup was created.


Select the drive you want to restore to

This screen shows the hard drives and partitions on the computer. Select the partition or drive where you want to restore the backup then click next.

It is important to remember that you cannot restore an image over the partition that contains the image file you are using to restore. In addition, Image for Windows must be able to obtain a normal lock on the target partition; PHYLock is not used when restoring. Therefore, to restore the operating system itself, you'd need to restore it using Image for DOS, Image for Linux, or Image for Windows from an alternate location.

The size of the target location where you restore an image is also important. The target must be large enough to accommodate the data from the source partition. The minimum amount of space required in the target location is determined by the amount of space encompassed from the beginning of the source partition to the last used area of the source partition. For example, if the source partition had 2 GB of data, and the last part of that data ended 15 GB from the beginning of the source partition, the target area needs to be at least 15 GB in size, regardless of the overall size of the source partition.

Buttons Available

Add Virtual Drive - Allows you to add a virtual drive (VHD/VMDK) to the tree. To remove a virtual drive from the tree, highlight the drive and press the delete key on the keyboard..

Information - Provides information on the selected partition, including the amount of used space, free space, size needed to restore if it was backed up in this state, lba start and end locations on the disk.

Geometry - Allows you to set a specific geometry for the selected drive. This is useful when restoring images on a different machine or location than the drive will actually reside. The program always attempts to setup the partition using proper values for where it's being restored, however say you're restoring to a USB drive that you will be inserting in another system. If the emulated CHS information used for the USB device doesn't match the actual target systems BIOS Geometry then it may not boot. Another boot problem will occur when a target system has "Auto" geometry setup in the BIOS and the partitions restored are not cylinder aligned. To compensate for these issues, you use the Geometry option. The most common settings to use are "Use MBR Geometry" and "Align MBR Ending HS". The "Use MBR Geometry" option is used when the original image was created on a drive from the same target system. "Align MBR Ending HS" is for those times when you're restoring partitions that are not cylinder aligned and the target system uses "Auto" geometry in the BIOS.

Create Extended - Allows you to create an extended partition when needed.

Change Disk - Allows you to change the partitioning scheme used on a given disk. You'd normally only use this if you have a data drive that is larger than 2TiB and want to access that area above 2TiB.

Delete Key - The delete key on the keyboard can be used to delete existing partitions by highlighting them and pressing delete.


Select the drive or partition(s) to restore

This screen is displayed to ensure you have selected the correct backup image and allows you to change what is to be restored. Select what you want to restore, either an individual partition, multiple partitions or the full drive. Make your selection and click next.

NOTE: multiple partition restores have to be restore to the exact same physical location on the drive and resizing is not available. For entire drive restores, scaling is available; for single partition restores, a "new size" box is available on the restore options.


Restore Options


Individual Partition Restore Options

Tip: When simply restoring a Windows bootable operating system partition, use the Set Active, Restore First Track, and Update BOOT.INI options. When restoring only a data partition, no options need to be changed. Lenovo/IBM users who get a signature failure, use the Write Standard MBR Code option.

Set Active – If you select this option, Image for Windows will make the restored partition the active partition after completing the restore operation. If you don't select this option, Image for Windows will only set the partition active if restoring to HD0 and there are no other partitions active.

Update BOOT.INI - This option only applies if a copy of boot.ini exists in the root directory of the restored partition. If enabled, this option instructs Image for Windows to update all partition(n) references in the restored partition's boot.ini file, to accommodate a partition layout that differs from that of the original drive. Image for Windows will set all partition-based entries in the applicable boot.ini to point to the restored partition (but will not change file-based entries). This applies to Windows NT through Windows 2003 and needed (unless you're knowledgeable enough to know otherwise) when restoring to a different partition layout. Windows Vista and later do not require this option.

Update Boot Partition - This option updates any references to the restored partition in the active boot partition on the target drive. This is useful for situations where the boot partition differs from the system partition. However, you typically wouldn't want to use this option if you're creating a copy of an existing partition you want to keep, unless the target drive will be independent of the original drive. For this to be useful, the active boot partition should already be on the target drive or part of the same copy or restore operation.

Write Standard MBR Code – If you select this option, Image for Windows will install the standard master boot code to the Master Boot Record (MBR) after completing the restore operation. The other portions of the MBR (i.e. the partition table, disk signature(s), etc.) will not be affected. If you don't select this option, Image for Windows will only install the standard master boot code if it appears that no existing boot code exists.

Restore Disk Signature – This option applies when you restore a partition that had been assigned a drive letter within Windows prior to being backed up. If you select this option, Image for Windows will restore the disk signature associated with the source partition. If you don't select this option, Image for Windows will use the disk signature already present in the MBR of the target drive; if none exists, Image for Windows will create one if necessary. If you are restoring a partition that had been assigned a drive letter in Windows and you wish to keep that drive letter assignment, select this option.

Restore First Track – Whenever you back up any partition, Image for Windows also backs up the first track of the source hard drive. If you select this option, Image for Windows will restore the first track which includes the standard boot code and the disk signature. This allows you to restore the MBR/EMBR, if desired.

Change GUID - Changes the GUID of the restored partition if the target hard drive has a GPT. This is useful when you're going to have both partitions available to Windows at the same time as certain parts of Windows assume each partition will have a unique GUID.

Validate Before Restore – If you select this option, Image for Windows will validate the image file(s) prior to restoring them. If Image for Windows encounters an error during validation, Image for Windows will abort the restore operation without overwriting the target.

Validate Byte-for-Byte – Use this option to have Image for Windows verify that every byte from the backup image was written to disk correctly, ensuring 100% accuracy. This option increases the processing time of the overall restore operation, but is advisable to use where maximum reliability is required.

Wipe Unused Sectors - When enabled, the unused sectors within the restored partition are zero-written instead of simply skipped. This is a security related issue, if enabled the restore will most likely take longer because more data is written to the target drive.

Move to Original MBR Entry – If you select this option, Image for Windows will move the partition table entry of the restored partition to the same location in the master partition table as it had on the source drive. Image for Windows will also move the existing partition table entry to another location rather than overwrite it. You may want to enable this option if you use an environment that tracks master partition table entries, such as Linux.

GPT Hidden from OS - Use this option when restoring to a drive that has a GPT but the OS will boot without using the GPT. Most users have no need for this option. An example of when this option is useful would be when multi-booting Windows on an iMac using BootCamp.

Assume Original HD – If you select this option, which applies mainly to Linux partitions, Image for Windows will keep references to the source hard drive number intact within the partitions that have been restored to the target. If you do not select this option and the target drive number differs from that of the source drive, applicable drive references residing within the restored partitions will be updated to reflect the new hard drive number.

This option has no effect if you are restoring to a target drive whose number matches that of the source drive. If you are restoring to a target drive whose number differs from that of the source drive, but you plan to subsequently move the target drive so that its number matches the source drive again, enabling this option can be beneficial.

Ignore IO Errors – Under ordinary circumstances, if Image for Windows encounters a bad sector on the target drive while restoring an image, Image for Windows will notify you concerning the write error and give you the option to continue or abort. If you select the Ignore IO Errors option, Image for Windows will ignore the error and continue. Generally, you should select this option only if you need to restore to a target drive that contains known bad sectors. On some systems, if you select this setting and Image for Windows encounters bad sectors, there will be a significant delay as the internal retry/recovery routine of the drive attempts to handle the bad sector(s).

Disable Media Ejection – This option prevents Image for Windows from automatically opening the optical drive tray. If you don't select this option, Image for Windows will open the drive tray whenever a disc is needed and at the completion of the restore operation. Note: When Image for Windows first accesses the optical drive it will open the tray regardless of this setting but will automatically close it if this option is enabled.

Log Results to File – Select this option to make Image for Windows log the date and time it completes the restore operation. Image for Windows saves the log as IFW.LOG in the IMAGEW.EXE program directory or the location set using the global LogFile option. To be able to save IFW.LOG, Image for Windows must have permissions to write to the target folder.

Reboot when Completed - Enable this option to have Image for Windows request a reboot when the restore has completed successfully.

Shutdown when Completed - Select this option to have Image for Windows request a shutdown when the restore has completed successfully.

Suspend when Completed - Unless a shutdown or reboot is required, select this option to have Image for Windows request a suspend when the restore has completed successfully. If a shutdown or reboot is required, a shutdown is performed.

Hibernate when Completed - Unless a shutdown or reboot is required, select this option to have Image for Windows request hibernation when the restore has completed successfully. If a shutdown or reboot is required, a shutdown is performed.

First Track Sectors – This text box allows you to specify how many sectors of the first track of each partition should be restored. If you enter AUTO in this box, the tracks needed for the EMBR will be restored. If you aren't sure, type AUTO in this box.

Resize After Restore – Currently available only for EXT2/3, FAT, FAT32, and NTFS partitions, you can use this text box to specify a new size for the restored partition, bound by the Minimum and Maximum values specified by Image for Windows. The units used here are mebibytes, abbreviated MiB. (Please refer to the section titled Data Storage Size Unit Conventions at the beginning of this manual for more information.)

Additional Buttons:

Save Defaults - Saves the current options so that they are automatically selected the next time you run the program.

Show Command - Shows the command line parameters based the options you selected and gives you the option to save them to a batch file.


Full Drive Restore Options

Update Boot Partition - This option updates any references to the restored partition in the active boot partition on the target drive. This is useful for situations where the boot partition differs from the system partition. For this to be useful, the active boot partition should already be on the target drive or part of the same copy or restore operation. (Note: this option does not show if Automatic Boot Partition Update setting is enabled.)

Scale to Fit – On FAT, FAT32, or NTFS file systems, selecting this option will make Image for Windows assume that the size of the original hard drive is based on the location of the end of the last partition; Image for Windows then applies the same scaling to the target hard drive. If any unpartitioned space existed at the end of the source drive, that unpartitioned space won't exist on the target drive after you restore your image. This option has no effect on images restored to hard drives using other file systems.

Align to Target – If you select this option, Image for Windows will align each restored partition to the target drives current settings. You may want to enable this option if the target drive has a different geometry than the source drive. Disable this option if you want the target drive to be configured identically to the source drive.

Change Disk ID and GUIDs - Changes the disk signature on the restored hard drive (including the disk GUID and partition GUIDs if the drive contains a GPT). This is useful when an existing drive in the system already uses the signature being restored and you'll be leaving the target drive attached; either through a reboot or hot swapping the drive back in to the system again. Without this option, Windows will assign a new disk signature which may, depending on the OS, prevent the target drive from booting until it is fixed up. This affects Windows Vista and later more than earlier versions of Windows.

Validate Before Restore – If you select this option, Image for Windows will validate the image file(s) prior to restoring them, will perform internal consistency checks on the backup file(s). If Image for Windows encounters an error during validation, Image for Windows will abort the restore operation without overwriting the partition. If you select this option, the overall processing time Image for Windows takes to restore the image will increase, but you can restore the image with greater certainty that the restored image will be reliable.

Validate Byte-for-Byte – Use this option to have Image for Windows verify that every byte from the backup image was written to disk correctly, ensuring 100% accuracy. This option increases the processing time of the overall restore operation, but is advisable to use where maximum reliability is required.

Write Standard MBR Code – If you select this option, Image for Windows will install the standard master boot code to the Master Boot Record (MBR) after completing the restore operation. The other portions of the MBR (i.e. the partition table, disk signature(s), etc.) will not be affected. If you don't select this option, Image for Windows will only install the standard master boot code if it appears that no existing boot code exists.

Wipe Unused Sectors - When enabled, the unused sectors within the restored partition are zero-written instead of simply skipped. This is a security related issue, if enabled the restore will most likely take longer because more data is written to the target drive.

Remove Gaps on Restore - This option will remove any gaps between partitions by restoring each partition adjacent to each other.

GPT Hidden from OS - Use this option when restoring to a drive that has a GPT but the OS will boot without using the GPT. Most users have no need for this option. An example of when this option is useful would be when multi-booting Windows on an iMac using BootCamp.

Assume Original HD – If you select this option, which applies mainly to Linux partitions, Image for Windows will keep references to the source hard drive number intact within the partitions that have been restored to the target. If you do not select this option and the target drive number differs from that of the source drive, applicable drive references residing within the restored partitions will be updated to reflect the new hard drive number.

This option has no effect if you are restoring to a target drive whose number matches that of the source drive. If you are restoring to a target drive whose number differs from that of the source drive, but you plan to subsequently move the target drive so that its number matches the source drive again, enabling this option can be beneficial.

Scale to Target – If you use this option when restoring an image, Image for Windows restores the image proportionally to the target drive. For example, suppose that you backed up a 100 MB hard drive and restored the image to a 200 MB hard drive. If you use this option, you allow Image for Windows to double the size of the restored image. This option only works for FAT, FAT32, and NTFS file systems and has no effect on images restored to hard drives using other file systems. You cannot use this option in conjunction with the Scale to Fit option. If you inadvertently enable both options, Scale to Fit will take precedence.

Ignore IO Errors – Under ordinary circumstances, if Image for Windows encounters a bad sector on the target partition while restoring, Image for Windows will notify you concerning the write error and give you the option to continue or abort. If you select the Ignore IO Errors option, Image for Windows will ignore the error and continue. Generally, you should select this option only if you need to restore to a target drive that contains known bad sectors. On some systems, if you select this setting and Image for Windows encounters bad sectors, there will be a significant delay as the internal retry/recovery routine of the drive attempts to handle the bad sector(s).

Disable Media Ejection – This option prevents Image for Windows from automatically opening the optical drive tray. If you don't select this option, Image for Windows will open the drive tray whenever a disc is needed and at the completion of the restore operation. Note: When Image for Windows first accesses the optical drive it will open the tray regardless of this setting but will automatically close it if this option is enabled.

Log Results to File – Select this option to make Image for Windows log the date and time it completes the restore operation. Image for Windows saves the log as IFW.LOG in the IMAGEW.EXE program directory or the location set using the global LogFile option. To be able to save IFW.LOG, Image for Windows must have permissions to write to the target folder.

Reboot when Completed - Enable this option to have Image for Windows request a reboot when the restore has completed successfully.

Shutdown when Completed - Select this option to have Image for Windows request a shutdown when the restore has completed successfully.

Suspend when Completed - Unless a shutdown or reboot is required, select this option to have Image for Windows request a suspend when the restore has completed successfully. If a shutdown or reboot is required, a shutdown is performed.

Hibernate when Completed - Unless a shutdown or reboot is required, select this option to have Image for Windows request hibernation when the restore has completed successfully. If a shutdown or reboot is required, a shutdown is performed.

First Track Sectors – This text box allows you to specify how many sectors of the first track of each partition should be restored. If you enter AUTO in this box, the tracks needed for the EMBR will be restored, if you enter a zero in this box, all sectors are restored. If you aren't sure, type AUTO in this box.

Additional Buttons:

Save Defaults - Saves the current options so that they are automatically selected the next time you run the program.

Show Command - Shows the command line parameters based the options you selected and gives you the option to save them to a batch file.


Geometry Settings

The Geometry Override settings allow you to set alignment options as well as specific Cylinder (C), Head (H), or Sector (S) to use for a given drive. In addition to manually entering the values, you can enable the Use Original Geometry to have Image for Windows use the geometry from the backup image.

This CHS option is needed when the geometry assigned by Windows to a given drive does not match the BIOS geometry for the drive. This is most common when you attach a hard drive from another machine to the USB port to restore the image.

C - Last Cylinder (0 to 1023)

H - Last Head (0 to 254)

S - Sectors per Track (1 to 63)

Use MBR Geometry – Use drive geometry (H / S) based on the MBR entry of the first partition in the backup file.

Validate MBR Geometry - This option is used to ensure that the geometry from the MBR is aligned to known standards before accepting it for use. It only applies when Use MBR Geometry is enabled.

Use Original Geometry – Use the drive geometry saved in the backup file that represents the geometry from the environment used to create the backup file.

Align on End - Use this option to instruct Image for Windows to align restored partitions at the end of a cylinder, or when the Align2048 option is enabled, end of a 2048 sector boundary.

Align End by Resizing - Use this option to instruct Image for Windows to align both the beginning and end of a partition by resizing. This only affects partitions that Image for Windows can resize.

Use 2048 Sector Alignment - Use this option to instruct Image for Windows to align restored partitions based on 2048 sectors.

Align MBR Ending HS - Use this option to instruct Image for Windows to force a restored partition’s ending head and sector values in the MBR to match the current geometry.

Align MBR HS when Truncated - Use this option to instruct Image for Windows to set a restored partition’s head and sector values in the MBR to match the current geometry when it is located outside the range of the current geometry.

Use Global Settings - Allow global geometry settings to control drive.

Save as Default - Save the current settings to the IFW.INI file as the defaults.


Select where the backup file is located

This screen shows the various locations from which you can select the backup file to validate. Select the source location of the backup file and click next.

To select a normal file accessible to windows, choose the The Windows Drives selection option.

To select a CD/DVD, choose a specific CD/DVD drive.

To select a file within a partition that is not accessible to Windows, select a partition under one of the listed hard drives.


Select the backup file to validate

Enter the full path to the backup file on this screen then click next.

To select a target drive, change the drive in the drop down box in the upper right.

To navigate through the files to find a target location, double click the various folders listed to open that folder. To move back to the parent folder, double click the special ".." folder at the top of the list.

Buttons Available

Windows/Network Browse - Use this button for the normal Windows file selection dialog.

File Description - Highlight an existing backup image file and click this button to view the description used when the backup was created.


Select the drive or partition(s) to validate

This screen is displayed to ensure you have selected the correct backup image and allows you to change what is to be validated. Select what you want to validate, either an individual partition, multiple partitions or the full drive. Make your selection and click next.


Validate Options

Disable Media Ejection – This option prevents Image for Windows from automatically opening the optical drive tray. If you don't select this option, Image for Windows will open the drive tray whenever a disc is needed and at the completion of the restore operation. Note: When Image for Windows first accesses the optical drive it will open the tray regardless of this setting but will automatically close it if this option is enabled.

Log Results to File – Select this option to make Image for Windows log the date and time it completes the backup operation. Image for Windows saves the log as IFW.LOG in the IMAGEW.EXE program directory or the location set using the global LogFile option. To be able to save IFW.LOG, Image for Windows must have permissions to write to the target folder.

Additional Buttons:

Save Defaults - Saves the current options so that they are automatically selected the next time you run the program.

Show Command - Shows the command line parameters based the options you selected and gives you the option to save them to a batch file.


Select the hard drive or partitions to copy

This screen shows the hard drives and partitions on the computer. Select the partition or drive you want to copy then click next.

Buttons Available

Add Virtual Drive - Allows you to add a virtual drive (VHD/VMDK) to the tree. To remove a virtual drive from the tree, highlight the drive and press the delete key on the keyboard..

Information - Provides information on the selected partition, including the amount of used space, free space, target size needed or copy (reported as required restore size), lba start and end locations on the disk. You should use this before copying the first time to ensure IFW is seeing the partition properly.

Compact - Moves data within the partition below a given boundary to reduce the required target size (which is reported via the Information button as the required restore size).

When copying to a smaller area, it's the location of the data within the source partition that determines if it will fit the target or not. All copies create an actual image of the source partition where the data is in the same relative location within the target partition. In order to fit a smaller target area, a resize is preformed *after* the data is copied. This process is different than formatting a new partition and copying files.


Select where to copy the partition(s)

This screen shows the hard drives and partitions on the computer. Select the target partition or drive for the copy then click next.

Image for Windows must be able to obtain a normal lock on the target partition; PHYLock is not used for the copy target.

The size of the target location where you copy is also important. The target must be large enough to accommodate the data from the source partition. The minimum amount of space required in the target location is determined by the amount of space encompassed from the beginning of the source partition to the last used area of the source partition. For example, if the source partition had 2 GB of data, and the last part of that data ended 15 GB from the beginning of the source partition, the target area needs to be at least 15 GB in size, regardless of the overall size of the source partition.

Buttons Available

Add Virtual Drive - Allows you to add a virtual drive (VHD/VMDK) to the tree. To remove a virtual drive from the tree, highlight the drive and press the delete key on the keyboard..

Information - Provides information on the selected partition, including the amount of used space, free space, size needed to restore if it was backed up in this state, lba start and end locations on the disk.

Geometry - Allows you to set a specific geometry for the selected drive. This is useful when restoring images on a different machine or location than the drive will actually reside. The program always attempts to setup the partition using proper values for where it's being restored, however say you're restoring to a USB drive that you will be inserting in another system. If the emulated CHS information used for the USB device doesn't match the actual target systems BIOS Geometry then it may not boot. Another boot problem will occur when a target system has "Auto" geometry setup in the BIOS and the partitions restored are not cylinder aligned. To compensate for these issues, you use the Geometry option. The most common settings to use are "Use MBR Geometry" and "Align MBR Ending HS". The "Use MBR Geometry" option is used when the original image was created on a drive from the same target system. "Align MBR Ending HS" is for those times when you're restoring partitions that are not cylinder aligned and the target system uses "Auto" geometry in the BIOS.

Create Extended - Allows you to create an extended partition when needed.

Change Disk - Allows you to change the partitioning scheme used on a given disk. You'd normally only use this if you have a data drive that is larger than 2TiB and want to access that area above 2TiB.

Delete Key - The delete key on the keyboard can be used to delete existing partitions by highlighting them and pressing delete.


Copy Options


Individual Partition Copy Options

Set Active – If you select this option, Image for Windows will make the copied partition the active partition after completing the copy operation. If you don't select this option, Image for Windows will only set the partition active if copying to HD0 and there are no other partitions active.

Update BOOT.INI - This option only applies if a copy of boot.ini exists in the root directory of the copied partition. If enabled, this option instructs Image for Windows to update all partition(n) references in the copied partition's boot.ini file, to accommodate a partition layout that differs from that of the original drive. Image for Windows will set all partition-based entries in the applicable boot.ini to point to the restored partition (but will not change file-based entries). This applies to Windows NT through Windows 2003 and needed (unless you're knowledgeable enough to know otherwise) when copying to a different partition layout. Windows Vista and later do not require this option.

Update Boot Partition - This option updates any references to the restored partition in the active boot partition on the target drive. This is useful for situations where the boot partition differs from the system partition. However, you typically wouldn't want to use this option if you're creating a copy of an existing partition you want to keep, unless the target drive will be independent of the original drive. For this to be useful, the active boot partition should already be on the target drive or part of the same copy or restore operation.

Write Standard MBR Code – If you select this option, Image for Windows will install the standard master boot code to the Master Boot Record (MBR) after completing the copy operation. The other portions of the MBR (i.e. the partition table, disk signature(s), etc.) will not be affected. If you don't select this option, Image for Windows will only install the standard master boot code if it appears that no existing boot code exists.

Copy Disk Signature – This option applies when you copy a partition that had been assigned a drive letter within Windows prior to being backed up. If you select this option, Image for Windows will copy the disk signature associated with the source partition. If you don't select this option, Image for Windows will use the disk signature already present in the MBR of the target drive; if none exists, Image for Windows will create one if necessary. If you are copying a partition that had been assigned a drive letter in Windows and you wish to keep that drive letter assignment, select this option.

Copy First Track –If you select this option, Image for Windows will copy the first track which includes the standard boot code and the disk signature from the source drive to the target drive. This allows you to restore the MBR/EMBR, if desired.

Change GUID - Changes the GUID of the copied partition if the target hard drive has a GPT. This is useful when you're going to have both partitions available to Windows at the same time as certain parts of Windows assume each partition will have a unique GUID.

Validate Byte-for-Byte – Use this option to have Image for Windows verify that every byte from the copy image was written to disk correctly, ensuring 100% accuracy. This option increases the processing time of the overall copy operation, but is advisable to use where maximum reliability is required.

Copy Unused Sectors – By default, if the file system(s) you are copying is one of the recognized types (i.e. FAT, FAT32, NTFS, Ext2/3, ReiserFS, or XFS), Image for Windows will copy only used sectors. If you select this option, Image for Windows will include all used and unused sectors in the copy. This option has no effect on partitions that do not contain a recognized file system; such partitions will always be copied up in full, regardless of this setting.

Wipe Target Unused Sectors - When enabled, the unused sectors on the target partition are zero-written instead of simply skipped. This is a security related issue, if enabled the copy will most likely take longer because more data is written to the target drive.

Omit Page File Data – If you select this option and the PAGEFILE.SYS file resides in the root directory of the source partition, Image for Windows will not copy the PAGEFILE.SYS data. If PAGEFILE.SYS resides anywhere else on the source partition other than the root directory, Image for Windows will copy the data, regardless of this setting. If you're copying the partition with an active page file then you need to leave this option enabled.

Omit Hibernation Data – If you select option and the HIBERFIL.SYS file resides in the root directory of the source partition, Image for Windows will not copy the HIBERFIL.SYS data. If HIBERFIL.SYS resides anywhere else on the source partition other than the root directory, Image for Windows will copy it, regardless of this setting.

Move to Original MBR Entry – If you select this option, Image for Windows will move the partition table entry on the target drive to the same location in the master partition table as it had on the source drive. Image for Windows will also move any existing partition table entry to another location rather than overwrite it. You may want to enable this option if you use an environment that tracks master partition table entries, such as Linux.

GPT Hidden from OS - Use this option when copying to a drive that has a GPT but the OS will boot without using the GPT. Most users have no need for this option. An example of when this option is useful would be when multi-booting Windows on an iMac using BootCamp.

Assume Original HD – If you select this option, which applies mainly to Linux partitions, Image for Windows will keep references to the source hard drive number intact within the partitions that have been copied to the target. If you do not select this option the applicable drive references residing within the copied partitions will be updated to reflect the new hard drive number. This is mainly useful for Linux partitions.

Ignore IO Errors – Under ordinary circumstances, if Image for Windows encounters a bad sector on the source or target partition while copying, Image for Windows will notify you concerning the read or write error and give you the option to continue or abort. If you select the Ignore IO Errors option, Image for Windows will ignore the error and continue. Generally, you should select this option only if you need to copy from or restore to a target drive that contains known bad sectors. On some systems, if you select this setting and Image for Windows encounters bad sectors, there will be a significant delay as the internal retry/recovery routine of the drive attempts to handle the bad sector(s).

Log Results to File – Select this option to make Image for Windows log the date and time it completes the copy operation. Image for Windows saves the log as IFW.LOG in the IMAGEW.EXE program directory or the location set using the global LogFile option. To be able to save IFW.LOG, Image for Windows must have permissions to write to the target folder.

Reboot when Completed - Enable this option to have Image for Windows request a reboot when the copy has completed successfully.

Shutdown when Completed - Select this option to have Image for Windows request a shutdown when the copy has completed successfully.

Suspend when Completed - Unless a shutdown or reboot is required, select this option to have Image for Windows request a suspend when the copy has completed successfully. If a shutdown or reboot is required, a shutdown is performed.

Hibernate when Completed - Unless a shutdown or reboot is required, select this option to have Image for Windows request hibernation when the copy has completed successfully. If a shutdown or reboot is required, a shutdown is performed.

Disable TRIM - Use this option to disable SSD TRIM requests while the copy is active. W7 and later support sending TRIM requests to Solid State Drives (SSD) which is simply a way to tell the drive which sectors it can assume to be zero (which speeds up writing to the drive when a physical sector would otherwise require being read, modified, then written (RMW) as the read isn't needed) . For example, these requests would come from the file system driver for file systems under the control of OS when files are moved or deleted. PHYLock 8 and later also support protecting the areas of TRIM requests to ensure the state of the file system remains locked during the backup. TRIM requests can be large and cause the cache to fill up before the copy is complete. By disabling TRIM, there is less overhead during the copy, after the copy operation has completed, TRIM is enabled again.

First Track Sectors – This text box allows you to specify how many sectors of the first track of each partition should be copied. If you enter AUTO in this box, the tracks needed for the EMBR will be copied, if you enter a zero in this box, all sectors are copied. If you aren't sure, type AUTO in this box.

Resize After Copy – Currently available only for EXT2/3, FAT, FAT32, and NTFS partitions, you can use this text box to specify a new size for the copied partition, bound by the Minimum and Maximum values specified by Image for Windows. The units used here are mebibytes, abbreviated MiB. (Please refer to the section titled Data Storage Size Unit Conventions at the beginning of the manual for more information.)

Additional Buttons:

Save Defaults - Saves the current options so that they are automatically selected the next time you run the program.

Show Command - Shows the command line parameters based the options you selected and gives you the option to save them to a batch file.


Full Drive Copy Options

Update Boot Partition - This option updates any references to the restored partition in the active boot partition on the target drive. This is useful for situations where the boot partition differs from the system partition. For this to be useful, the active boot partition should already be on the target drive or part of the same copy or restore operation. (Note: this option does not show if Automatic Boot Partition Update setting is enabled.)

Scale to Fit – On FAT, FAT32, or NTFS file systems, selecting this option will make Image for Windows assume that the size of the original hard drive is based on the location of the end of the last partition; Image for Windows then applies the same scaling to the target hard drive. If any unpartitioned space existed at the end of the source drive, that unpartitioned space won't exist on the target drive after you copy the drive. This option has no effect on other file systems.

Align to Target – If you select this option, Image for Windows will align each copied partition to the target drives current settings. You may want to enable this option if the target drive has a different geometry than the source drive. Disable this option if you want the target drive to be configured identically to the source drive.

Change Disk ID and GUIDs - Changes the disk signature on the target hard drive (including the disk GUID and partition GUIDs if the drive contains a GPT). This is useful when you'll be leaving the target drive attached; either through a reboot or hot swapping the drive back in to the system again. Without this option, Windows will assign a new disk signature which may, depending on the OS, prevent the target drive from booting until it is fixed up. This affects Windows Vista and later more than earlier versions of Windows.

Validate Byte-for-Byte – Use this option to have Image for Windows verify that every byte from the copy was written to disk correctly, ensuring 100% accuracy. This option increases the processing time of the overall copy operation, but is advisable to use where maximum reliability is required.

Write Standard MBR Code – If you select this option, Image for Windows will install the standard master boot code to the Master Boot Record (MBR) after completing the copy operation. The other portions of the MBR (i.e. the partition table, disk signature(s), etc.) will not be affected. If you don't select this option, Image for Windows will only install the standard master boot code if it appears that no existing boot code exists.

Copy Unused Sectors – By default, if the file system(s) you are copying is one of the recognized types (i.e. FAT, FAT32, NTFS, Ext2/3, ReiserFS, or XFS), Image for Windows will copy only used sectors. If you select this option, Image for Windows will include all used and unused sectors in the copy. This option has no effect on partitions that do not contain a recognized file system; such partitions will always be copied up in full, regardless of this setting.

Wipe Target Unused Sectors - When enabled, the unused sectors within the target partition are zero-written instead of simply skipped. This is a security related issue, if enabled the restore will most likely take longer because more data is written to the target drive.

Omit Page File Data – If you select this option and the PAGEFILE.SYS file resides in the root directory of the source partition, Image for Windows will not copy the PAGEFILE.SYS data. If PAGEFILE.SYS resides anywhere else on the source partition other than the root directory, Image for Windows will copy the data, regardless of this setting. If you're copying the partition with an active page file then you need to leave this option enabled.

Omit Hibernation Data – If you select option and the HIBERFIL.SYS file resides in the root directory of the source partition, Image for Windows will not copy the HIBERFIL.SYS data. If HIBERFIL.SYS resides anywhere else on the source partition other than the root directory, Image for Windows will copy it, regardless of this setting.

Remove Gaps on Copy - This option will remove any gaps between partitions by copying each partition adjacent to each other.

GPT Hidden from OS - Use this option when copying to a drive that has a GPT but the OS will boot without using the GPT. Most users have no need for this option. An example of when this option is useful would be when multi-booting Windows on an iMac using BootCamp.

Assume Original HD – If you select this option, which applies mainly to Linux partitions, Image for Windows will keep references to the source hard drive number intact within the partitions that have been copied to the target. If you do not select this option the applicable drive references residing within the copied partitions will be updated to reflect the new hard drive number. This is mainly useful for Linux partitions.

Scale to Target – If you use this option when copying, Image for Windows copies the partition proportionally to the target drive. For example, suppose that you are copying a 100 MB hard drive to a 200 MB hard drive. If you use this option, you allow Image for Windows to double the size of the copied partition. This option only works for FAT, FAT32, and NTFS file systems and has no effect on when using other file systems. You cannot use this option in conjunction with the Scale to Fit option. If you inadvertently enable both options, Scale to Fit will take precedence.

Ignore IO Errors – Under ordinary circumstances, if Image for Windows encounters a bad sector on the source or target partition while copying, Image for Windows will notify you concerning the read or write error and give you the option to continue or abort. If you select the Ignore IO Errors option, Image for Windows will ignore the error and continue. Generally, you should select this option only if you need to copy from or restore to a target drive that contains known bad sectors. On some systems, if you select this setting and Image for Windows encounters bad sectors, there will be a significant delay as the internal retry/recovery routine of the drive attempts to handle the bad sector(s).

Log Results to File – Select this option to make Image for Windows log the date and time it completes the copy operation. Image for Windows saves the log as IFW.LOG in the IMAGEW.EXE program directory or the location set using the global LogFile option. To be able to save IFW.LOG, Image for Windows must have permissions to write to the target folder.

Reboot when Completed - Enable this option to have Image for Windows request a reboot when the copy has completed successfully.

Shutdown when Completed - Select this option to have Image for Windows request a shutdown when the copy has completed successfully.

Suspend when Completed - Unless a shutdown or reboot is required, select this option to have Image for Windows request a suspend when the restore has completed successfully. If a shutdown or reboot is required, a shutdown is performed.

Hibernate when Completed - Unless a shutdown or reboot is required, select this option to have Image for Windows request hibernation when the restore has completed successfully. If a shutdown or reboot is required, a shutdown is performed.

Disable TRIM - Use this option to disable SSD TRIM requests while the copy is active. W7 and later support sending TRIM requests to Solid State Drives (SSD) which is simply a way to tell the drive which sectors it can assume to be zero (which speeds up writing to the drive when a physical sector would otherwise require being read, modified, then written (RMW) as the read isn't needed) . For example, these requests would come from the file system driver for file systems under the control of OS when files are moved or deleted. PHYLock 8 and later also support protecting the areas of TRIM requests to ensure the state of the file system remains locked during the backup. TRIM requests can be large and cause the cache to fill up before the copy is complete. By disabling TRIM, there is less overhead during the copy, after the copy operation has completed, TRIM is enabled again.

First Track Sectors – This text box allows you to specify how many sectors of the first track of each partition should be copied. If you enter AUTO in this box, the tracks needed for the EMBR will be copied, if you enter a zero in this box, all sectors are copied. If you aren't sure, type AUTO in this box.

Additional Buttons:

Save Defaults - Saves the current options so that they are automatically selected the next time you run the program.

Show Command - Shows the command line parameters based the options you selected and gives you the option to save them to a batch file.


Select where the next backup file is located

This screen is shown when you are creating, restoring, or validating a changes-only backup and a file needed could not be automatically found (the name of the original file needed will show when you click next). You are shown the various locations from which you can select the backup file needed. Select the location of where the backup file needed will be found and click next.

To select a normal file accessible to windows, choose the The Windows Drives selection option.

To select a CD/DVD, choose a specific CD/DVD drive.

To select a file within a partition that is not accessible to Windows, select a partition under one of the listed hard drives.


Select the next backup file needed

The original filename that could not be found is shown in the Filename field.

Type the full path to the backup file needed on this screen or navigate and select it using the mouse and then click next.

To select a target drive, change the drive in the drop down box in the upper right.

To navigate through the files and folders, double click the various folders listed to open that folder. To move back to the parent folder, double click the special ".." folder at the top of the list.

Buttons Available

Windows/Network Browse - Use this button for the normal Windows file selection dialog.

File Description - Highlight an existing backup image file and click this button to view the description used when the backup was created.


Create new Virtual Drive

Name – This is the actual name of the file that will be created. The displayed name does not include the path and there will be no change to the extension when the virtual drive is created, even if the type is changed.

Note that the standard dialog for selecting a virtual drive within Image for Windows will display files with extensions .VHD, .VMDK, and .RAW by default. Selecting the option to view all files will allow other files to be displayed.

Type – This is the type of virtual drive to create:

RAW - Fixed Size - This creates a plain (raw) file as the virtual drive. Its size is fixed and allocated with zeros on creation.

VHD - Dynamic Expanding - This creates a VirtualPC Dynamic Expanding virtual hard drive. These type of virtual drives will append data to the file as data is added to the virtual drive; The file size starts small and grows as needed.

VHD - Fixed Size - This creates a VirtualPC Fixed Size virtual hard drive. These type of virtual drives will allocate data for the file when its created. The file size does not change.

VMDK - Monolithic Sparse (IDE) - This creates a VMWare Sparse IDE virtual hard drive. These type of virtual drives will append data to the file as data is added to the virtual drive; The file size starts small and grows as needed.

VMDK - Monolithic Sparse (SCSI) - This creates a VMWare Sparse SCSI virtual hard drive. These type of virtual drives will append data to the file as data is added to the virtual drive; The file size starts small and grows as needed.

Size - This is the size of the virtual hard drive to create. You can enter the size in bytes or in other forms such as 100M to create a 100 mebibyte file.

Important Note: Image for Windows only supports virtual drives in a single file. Splitting of Virtual Drives is not supported. If creating a virtual drive larger than 4GiB then the virtual hard drive file should be created on a file system that supports files larger than 4GiB, such as NTFS.

VirtualPC Note: VirtualPC supports drives up to 128GiB. Hyper-V supports drives larger than 128GiB.


Operation Summary

 Top Previous

This screen shows the basic summary of the operation you have chosen. Click the Start button when you are ready to begin the operation.